plugins {
    id 'com.android.library'
}

android {
    namespace "com.webclip.base"
    compileSdk 36
    defaultConfig {
        minSdkVersion 24
        targetSdk 36
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    compileOptions {
        sourceCompatibility rootProject.ext.JAVA_VERSION
        targetCompatibility rootProject.ext.JAVA_VERSION
    }

    buildFeatures {
        viewBinding true
    }
}

dependencies {

    api 'androidx.appcompat:appcompat:1.1.0'
    api 'com.google.android.material:material:1.1.0'
    api 'androidx.constraintlayout:constraintlayout:1.1.3'

    // okhttp相关库
    api 'com.squareup.okhttp3:okhttp:4.9.3'

    // JSON解析库
    api 'com.google.code.gson:gson:2.9.0'
    api 'com.squareup.retrofit2:retrofit:2.5.0'
    api 'com.squareup.retrofit2:converter-scalars:2.3.0'
    api 'com.squareup.retrofit2:converter-gson:2.4.0'
    api 'com.squareup.retrofit2:adapter-rxjava2:2.4.0'
    api 'io.reactivex.rxjava2:rxjava:2.1.16'
    api 'io.reactivex.rxjava2:rxandroid:2.0.2'
    api 'com.squareup.okhttp3:logging-interceptor:3.10.0'

    api("com.github.bumptech.glide:glide:4.13.1")
    // sdk 33
    api platform('com.google.firebase:firebase-bom:32.7.0')
    // Firebase Cloud Messaging
    api("com.google.firebase:firebase-messaging")
    api libs.play.services.base
}